Summary: 	Basic KDE 4 Configuration
Name: 		kde4-config
Version: 	4.13
Release: 	%mkrel 2
License: 	GPL
Group:		Graphical desktop/KDE4
Source0:	%{name}-%{version}.tar.xz
URL: 		http://pclinuxos.com
Requires:	kde-smooth-tasks-fork plasma-applet-devicemanager
Requires:	wallpaper-theme-pclinuxos kde-plasma-addons
Conflicts:	kde4-config-legacy
Conflicts:	kde4-config-fm
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:      noarch


%description
This package provides default Desktop settings for KDE >= 4.13

%pre
# backup custom files in root-account to be restored later
# this and the restore is only needed because of the old kde4-config
# and this can be removed some time in the future, once everyone has 
# upgraded to version 4.8.3-8 and above

if [ -f %{_sysconfdir}/fullmonty-release ]; then
  echo "kde4-config can not be installed on FullMonty"
  exit 1
fi

rm -fr rm -fR /root/.kde4bkx34 /root/.localbkx34 /root/Desktopbkx34
mkdir -p /root/.kde4bkx34 /root/.localbkx34 /root/Desktopbkx34
cp -fR /root/.kde4/. /root/.kde4bkx34/
cp -fR /root/.local/. /root/.localbkx34/
cp -fR /root/Desktop/. /root/Desktopbkx34/

%prep

%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/skel
cp -fR $RPM_BUILD_DIR/%{name}-%{version}/.kde4 $RPM_BUILD_ROOT/etc/skel
cp -fR $RPM_BUILD_DIR/%{name}-%{version}/.local $RPM_BUILD_ROOT/etc/skel
cp -fR $RPM_BUILD_DIR/%{name}-%{version}/Desktop $RPM_BUILD_ROOT/etc/skel

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/skel

%posttrans
# a) remove default browser/email FF/TB if not present in system
if [ ! -e /usr/bin/firefox ]; then 
  sed -i 's/BrowserApplication\[\$e\]=\!firefox/BrowserApplication\[\$d\]/g' /etc/skel/.kde4/share/config/kdeglobals
fi
if [ ! -e /usr/bin/thunderbird ]; then
  sed -i '/EmailClient\[\$e\]=thunderbird/d' /etc/skel/.kde4/share/config/emaildefaults
fi

# b) clean up tmp for user and root
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
rm -rf /tmp/kde* /tmp/ksocket* /root/tmp/kde-root /root/tmp/ksocket* 
for idx in $SYSUSERS
 do INP1= rm -rf /home/$idx/tmp/kde*; done
for idx in $SYSUSERS
 do INP1= rm -rf /home/$idx/tmp/ksocket*; done
# reset su alias in existing accounts and skel
for idx in $SYSUSERS
 do INP1= sed -i '/^alias su=/d' /home/$idx/.bashrc; done
sed -i '/^alias su=/d' /etc/skel/.bashrc

# temporary: to be removed in the future see pre above
# restore custom backup files in root-account 
mkdir -p /root/.kde4 /root/.local /root/.Desktop
cp -fR /root/.kde4bkx34/. /root/.kde4/
cp -fR /root/.localbkx34/. /root/.local/
cp -fR /root/Desktopbkx34/. /root/Desktop/
rm -fR /root/.kde4bkx34 /root/.localbkx34 /root/Desktopbkx34

# f) fix desktop display in root-account
if [ -e /root/.kde4/share/config/plasma-desktop-appletsrc ]; then 
sed -i 's|url=desktop\:\/|url=file\:\/\/\/root\/Desktop|g' /root/.kde4/share/config/plasma-desktop-appletsrc
fi


%changelog
* Tue Aug 12 2014 pinoc <vogtpet at gmail.com> 4.13-2pclos2014
- updated knotifyrc

* Mon Jul 28 2014 pinoc <vogtpet at gmail.com> 4.13-1pclos2014
- updated to properly display update info window
- updated and fixed Requires

* Thu Mar 14 2013 pinoc <vogtpet at gmail.com> 4.10-1pclos2013
- 4.10

* Mon Jan 28 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5
- updated to also work on non-kde installs
- fixed posttrans
- improved user detection

* Thu Sep 06 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-9pclos2012
- process

* Mon Sep 03 2012 pinoc < vogtpet at gmail dot com> 4.8.3-9pclos2012
- set to install on regualar KDE but not on FullMonty-DVD installation
- added to show the date in clock on panel

* Fri Aug 24 2012 pinoc < vogtpet at gmail dot com> 4.8.3-8pclos2012
- fixed: desktop panel display width
- root and existing user-accounts no longer affected

* Wed Aug 22 2012 pinoc < vogtpet at gmail dot com> 4.8.3-7pclos2012
- fixed: Activities, Konsole root-profile & line length limit
- clean: su-alias, recently mounted devices 
- Mouse behavior: changed to ClickToFocus to allow functioning of Alt-Tab

* Mon Aug 06 2012 pinoc < vogtpet at gmail dot com> 4.8.3-6pclos2012
- new default wallpaper
- added conflict with legacy/fm-package

* Thu Jun 28 2012 pinoc < vogtpet at gmail dot com> 4.8.3-5pclos2012
- set plasma-panel to be full-width
- remove Restore for new user accounts
- fix desktop display in root-account

* Tue Jun 19 2012 pinoc < vogtpet at gmail dot com> 4.8.3-4pclos2012
- added test for FF/TB to be set or not as default browser/email client
- added script to restore previous desktop customisations

* Mon Jun 18 2012 pinoc < vogtpet at gmail dot com> 4.8.3-3pclos2012
- new skel settings for >= 4.8.3
- fixed kres_migration bug in root account
- fixed bookmarks in Konqueror 
- noarch

* Wed Jun 13 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-2pclos2012
- rename spec
- process

* Wed Jun 13 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-2_archie_2012
- renamed tar.xz to 4.8.3

* Sat Mar 05 2011 Texstar <texstar at gmail.com> 4.6.1-2pclos2011
- and do clean up of tmp folders

* Sat Mar 05 2011 Texstar <texstar at gmail.com> 4.6.1-1pclos2011
- 4.6.1 

* Tue Apr 06 2010 Texstar <texstar at gmail.com> 4.4.2-1pclos2010
- update package for 2010 release

* Wed Mar 03 2010 Texstar <texstar at gmail.com> 4.4.1-1pclos2010
- fix cursor theme and nodebug

* Sun Jan 31 2010 Texstar <texstar at gmail.com> 4.3.95-3pclos2010
- add .kde4 to existing users in case no kde4 is installed by default

* Sun Jan 31 2010 Texstar <texstar at gmail.com> 4.3.95-2pclos2010
- fix for root account defaults

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 4.3.95-1pclos2010
- import into pclos


